@import url('https://fonts.googleapis.com/css2?family=Plus+Jakarta+Sans:ital,wght@0,200..800;1,200..800&display=swap');

*,
::after,
::before {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    list-style-type: none;
    text-decoration: none;
}

:root {
    --background: #111111;
    --text: #FFFFFF;
    --textBlack: #000000;
    --red: #A31616;
    --redHover: #CE1F1F;
    --grey: #696969;
    --darkgrey: #353535;
    --green: #16a355;
    --bgForm: #130909;
    --borderFormm: #A3161630;
    --font: 'Plus Jakarta Sans', sans-serif;
}

body {
    background: var(--background);
    color: var(--text);
    font-family: var(--font);
    height: 100vh;
}

.button {
    padding: 10px 30px;
    border: none;
    border-radius: 10px;
    color: var(--text);
    font-weight: bold;
    font-size: 16px;
    background: var(--red);
    cursor: pointer;
    transition: .3s;
}

.button:hover {
    background: var(--redHover);
}

/* Navbar */

header {
    position: fixed;
    width: 100%;
    padding: 10px;
    z-index: 10000;
}

header nav {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

header nav .navLogo {
    display: flex;
    align-items: center;
    gap: 20px;
}

header nav .navLogo svg {
    display: none;
    color: var(--text);
}

header nav .navLogo svg:hover {
    color: var(--red);
}

header nav .navLogo a img {
    height: 50px;
}

header nav ul .onglets {
    display: flex;
    align-items: center;
    gap: 20px;
}

header nav ul .onglets li {
    padding: 10px;
}

header nav ul .onglets li a {
    padding: 10px;
    color: var(--text);
    border-bottom: 3px solid transparent;
    transition: .3s;
}

header nav ul .onglets li a:hover {
    color: var(--red);
    border-bottom: 3px solid var(--red);
}

header nav ul .onglets .avatar {
    display: flex;
    justify-content: center;
    align-items: center;
}

header nav ul .onglets .avatar img {
    width: 40px;
    height: 40px;
    border-radius: 100%;
    cursor: pointer;
    transition: .3s;
    border: 2px solid transparent;
}

header nav ul .onglets .avatar img:hover {
    border-color: var(--red);
}

header nav ul .dropdown {
    position: absolute;
    right: 10px;
    display: none;
    flex-direction: column;
    gap: 40px;
    background: var(--bgForm);
    padding: 40px;
    border-radius: 10px;
    border: 2px solid var(--borderFormm);
}

header nav ul .dropdown .close {
    position: absolute;
    top: 10px;
    right: 10px;
    width: 20px;
    height: 20px;
    color: var(--text);
    cursor: pointer;
    transition: .3s;
}

header nav ul .dropdown .close:hover {
    color: #696969;
}

header nav ul .dropdown .userInfo {
    display: flex;
    justify-content: center;
    gap: 40px;
}

header nav ul .dropdown .userInfo .avatarDropdown img {
    width: 100px;
    height: 100px;
    border: 1px solid var(--red);
    border-radius: 100%;
}

header nav ul .dropdown .userInfo .userInfos {
    display: flex;
    flex-direction: column;
    gap: 10px;
}

header nav ul .dropdown .userInfo .userInfos .username {
    font-size: 30px;
    font-weight: bold;
}

header nav ul .dropdown .userInfo .userInfos .date {
    font-size: 14px;
    color: #A0A0A0;
}

header nav ul .dropdown .infosContent {
    display: flex;
    align-items: center;
    gap: 10px;
}

header nav ul .dropdown .infosContent .nbSeries {
    flex: 1;
    border: 1px solid var(--red);
    border-radius: 10px;
    padding: 20px;
    font-weight: bold;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 10px;
}

header nav ul .dropdown .infosContent .title {
    font-size: 20px;
}

header nav ul .dropdown .infosContent .number {
    color: var(--red);
}

header nav ul .dropdown .buttons {
    display: flex;
    flex-direction: column;
    gap: 10px;
}

header nav ul .dropdown .buttons li a {
    padding: 10px 30px;
    width: 100%;
    background: var(--red);
    border-radius: 10px;
    transition: .3s;
    color: var(--text);
    display: inline-block;
    display: flex;
    align-items: center;
    gap: 10px;
}

header nav ul .dropdown .buttons li a:hover {
    background: var(--redHover);
}

header nav ul .dropdown .buttons li button {
    padding: 10px 30px;
    width: 100%;
    border: none;
    background: var(--red);
    border-radius: 10px;
    font-size: 16px;
    transition: .3s;
    color: var(--text);
    display: flex;
    align-items: center;
    gap: 10px;
    cursor: pointer;
}

header nav ul .dropdown .buttons li button:hover {
    background: var(--redHover);
}

/* Main */

main {
    max-width: 1600px;
    margin: 0 auto;
}

/* Home */

.homeBackground {
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 50%;
    height: 500px;
    border-radius: 100%;
    background: var(--red);
    filter: blur(500px);
    z-index: -1;
}

.homeContent {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: 200px 10px;
    gap: 30px;
}

.homeContent .japan {
    color: var(--grey);
    letter-spacing: 10px;
    font-weight: bold;
}

.homeContent h1 {
    font-size: 4em;
    display: flex;
    flex-direction: column;
    text-align: center;
}

.homeContent h1 span {
    color: var(--red);
}

.homeContent .text {
    width: 500px;
    text-align: center;
}

/* Form */

.formulaire {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    height: 100vh;
}

.formulaire .titleForm {
    font-size: 6em;
    font-weight: bold;
    background: linear-gradient(to bottom, var(--red), #A3161600);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
}

form {
    display: flex;
    gap: 20px;
    flex-direction: column;
    padding: 40px;
    border-radius: 20px;
    background: var(--bgForm);
    border: 2px solid var(--borderFormm);
    width: 440px;
}

form .close {
    position: absolute;
    top: 20px;
    right: 20px;
    width: 20px;
    height: 20px;
    color: var(--text);
    cursor: pointer;
    transition: .3s;
}

form .close:hover {
    color: #696969;
}

form .avatarInformation,
form .posterInput {
    display: flex;
    flex-direction: column;
    gap: 2px;
}

form .avatarInformation p,
form .posterInput p {
    font-weight: bold;
}

form .avatarInformation .avatarContent {
    position: relative;
    width: 150px;
    height: 150px;
    left: 50%;
    transform: translateX(-50%);
}


form .avatarInformation .avatarContent label {
    position: absolute;
    top: 0;
    left: 0;
    width: 150px;
    height: 150px;
    border-radius: 100px;
    display: flex;
    justify-content: center;
    align-items: center;
    background: #0000007c;
    opacity: 0;
    transition: .3s;
    cursor: pointer;
}

form .avatarInformation .avatarContent label:hover {
    opacity: 1;
}

form .avatarInformation .avatarContent img {
    width: 150px;
    height: 150px;
    border: 1px solid var(--red);
    border-radius: 100px;
}

form .avatarInformation input {
    display: none;
}

form .posterInput .posterContent {
    position: relative;
    width: 100px;
    height: 150px;
    left: 50%;
    transform: translateX(-50%);
}

form .posterInput .posterContent .posterEdit {
    position: absolute;
    top: 0;
    left: 0;
    width: 100px;
    height: 150px;
    border-radius: 10px;
    display: flex;
    justify-content: center;
    align-items: center;
    background: #0000007c;
    opacity: 0;
    transition: .3s;
    cursor: pointer;
}

form .posterInput .posterContent .posterEdit:hover {
    opacity: 1;
}

form .posterInput .posterContent img {
    width: 100px;
    height: 150px;
    border: 1px solid var(--red);
    border-radius: 10px;
}

form .posterInput .posterContentEdit {
    position: relative;
    width: 100px;
    height: 150px;
    left: 50%;
    transform: translateX(-50%);
    border: 2px dashed var(--darkgrey);
    border-radius: 10px;
    transition: .3s;
}

form .posterInput .posterContentEdit:hover {
    border-color: var(--red);
}

form .posterInput .posterContentEdit .posterAjout {
    position: absolute;
    top: -2px;
    left: -2px;
    width: 100px;
    height: 150px;
    border-radius: 10px;
    display: flex;
    justify-content: center;
    align-items: center;
    transition: .3s;
    cursor: pointer;
}

form .posterInput .posterContentEdit .posterAjout svg {
    transition: .3s;
    border-radius: 100%;
    color: var(--darkgrey);
}

form .posterInput .posterContentEdit:hover .posterAjout svg {
    color: var(--red);
    width: 30px;
    height: 30px;
}

form .posterInput input {
    display: none;
}

form .inputSection {
    display: flex;
    flex-direction: column;
    gap: 2px;
}

form .inputSection label,
form .inputSectionCheckbox label {
    font-weight: bold;
}

form .inputSection input,
form .inputSection select {
    padding: 10px;
    border-radius: 10px;
    background: none;
    border: 2px solid var(--red);
    color: var(--text);
}

form .inputSection select option {
    color: var(--textBlack);
}

form .inputSection .inputPassword {
    position: relative;
}

form .inputSection .inputPassword input {
    width: 100%;
}

form .inputSection .inputPassword svg {
    position: absolute;
    height: 100%;
    right: 10px;
    cursor: pointer;
    color: var(--red);
}

form .inputSection .inputPassword svg:hover {
    color: var(--redHover);
}

form .inputSection p {
    font-size: 14px;
}

form .inputSection a {
    color: var(--red);
}

form .inputSectionCheckbox {
    display: flex;
    gap: 50px;
    align-items: center;
}

.message__error {
    color: var(--red);
}

.message__success {
    color: var(--green);
}

/* Collection */

.headerCollection {
    padding: 200px 10px 40px 10px;
    width: 100%;
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
    gap: 20px;
}

.headerCollection .titleCollection {
    font-size: 4em;
    font-weight: bold;
    color: var(--text);
}

.headerCollection .titleCollection span {
    color: var(--red);
}

.headerHistory .titleHistory {
    padding: 40px 10px 40px 10px;
    font-size: 4em;
    font-weight: bold;
    color: var(--text);
}

.headerHistory .titleHistory span {
    color: var(--red);
}

.headerCollection .statsCollection {
    display: flex;
    justify-content: space-between;
    align-items: end;
    flex-wrap: wrap;
    gap: 20px;
}

.headerCollection .statsCollection .statAndAdd {
    display: flex;
    align-items: end;
    flex-wrap: wrap;
    gap: 60px;
}

.headerCollection .statsCollection .statAndAdd .buttonCollection {
    display: flex;
    gap: 10px;
    height: 38px;
}

.headerCollection .statsCollection .statAndAdd .buttonCollection a {
    padding: 10px 30px;
    border: 3px solid var(--red);
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 10px;
    color: var(--text);
    font-weight: bold;
    font-size: 16px;
    background: none;
    cursor: pointer;
    transition: .3s;
}

.headerCollection .statsCollection .statAndAdd .buttonCollection a:hover {
    background: var(--red);
}

.stats {
    display: flex;
    align-items: center;
    gap: 30px;
}

.stats .stat .statNumber {
    font-size: 3em;
    font-style: italic;
    font-weight: bold;
}

.stats .stat .statNumber span {
    color: var(--red);
}

.stats .stat .statText {
    color: var(--grey);
    font-size: 12px;
}

.stats .separateInfos {
    width: 1px;
    height: 56px;
    background: var(--darkgrey);
}

main .separate {
    height: 1px;
    width: calc(100% - 20px);
    margin: 0 auto;
    background: var(--darkgrey);
}

.headerCollection .statsCollection form {
    position: relative;
    display: flex;
    flex-direction: row;
    gap: 0;
    padding: 0;
    border-radius: 10px;
    background: var(--bgForm);
    border: 1px solid var(--red);
    width: 350px;
    height: 38px;
}

.headerCollection .statsCollection .search input {
    width: 100%;
    height: 100%;
    padding: 10px 48px 10px 10px;
    font-size: 16px;
    border-radius: 10px;
    background: none;
    border: none;
    color: var(--text);
}

.headerCollection .statsCollection .search button {
    position: absolute;
    top: -1px;
    right: -1px;
    width: 38px;
    height: 38px;
    border-radius: 10px;
    border: none;
    background: var(--red);
    color: var(--text);
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
    transition: .3s;
}

.headerCollection .statsCollection .search button:hover {
    background: var(--redHover);
}

.headerSerie .titleCollection {
    font-size: 3em;
    font-weight: bold;
    background: linear-gradient(to bottom, var(--red), #A3161600);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
}

.mainCollection {
    width: 100%;
    padding: 10px;
}

.mainCollection .clearSearch {
    display: inline-block;
    color: var(--text);
    transition: .3s;
}

.mainCollection .clearSearch:hover {
    color: var(--red);
}

.mainCollection .card-container {
    position: relative;
}

.mainCollection .cards {
    display: flex;
    flex-wrap: wrap;
    gap: 20px;
    padding: 30px 0;
}

.mainCollection .cards .card {
    position: relative;
    top: 0;
    width: 200px;
    height: 300px;
    border-radius: 20px;
    border: 2px solid var(--borderFormm);
    cursor: pointer;
    transition: .3s;
}

.mainCollection .cards .card:hover {
    top: -5px;
}

.mainCollection .cards .card img {
    width: 100%;
    height: 100%;
    border-radius: 18px;
    object-fit: cover;
}

.mainCollection .cards .card .numberMangasInTheSeries {
    position: absolute;
    top: 10px;
    left: 10px;
    border-radius: 10px;
    padding: 6px;
    font-size: 12px;
    font-weight: bold;
    background: var(--red);
    color: var(--text);
    z-index: 1;
}

.mainCollection .cards .card .badgeRead svg {
    position: absolute;
    top: 47px;
    left: 10px;
    width: 30px;
    height: 30px;
    border-radius: 10px;
    background: var(--red);
    z-index: 1;
}

.mainCollection .cards .card .titleCard {
    position: absolute;
    left: 10px;
    bottom: 10px;
    z-index: 1;
    font-size: 20px;
    font-weight: bold;
    color: var(--text);
}

.mainCollection .cards .card .tomeCard {
    position: absolute;
    top: 10px;
    left: 10px;
    border-radius: 10px;
    padding: 6px;
    font-size: 12px;
    font-weight: bold;
    background: var(--red);
    z-index: 1;
}

.mainCollection .cards .card .cardFilter {
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 80%;
    border-radius: 18px;
    background: linear-gradient(to top, #000000, #00000000);
    transition: .3s;
}

.mainCollection .cards .card .cardFilterManga {
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 100%;
    border-radius: 18px;
    background: #0000006c;
    transition: .3s;
}

.mainCollection .cards .card .cardFilter:hover {
    height: 100%;
}

/* Options des cartes */

.mainCollection .cards .card .options {
    position: absolute;
    top: 10px;
    right: 10px;
    width: 34px;
    height: 34px;
    z-index: 10;
}

.mainCollection .cards .card .options .btnOptions {
    background: var(--red);
    border: none;
    display: none;
    justify-content: center;
    align-items: center;
    border-radius: 10px;
    padding: 5px;
    color: var(--text);
    cursor: pointer;
}

.mainCollection .cards .card:hover .options .btnOptions {
    display: flex;
}

.mainCollection .cards .card .options .btnOptions:hover {
    background: var(--redHover);
    transition: .3s;
}

.mainCollection .cards .card .options .menuOptions {
    position: absolute;
    top: 40px;
    right: 0;
    display: none;
    flex-direction: column;
    padding: 10px;
    border-radius: 10px;
    background: var(--background);
    border: 1px solid var(--red);
}

.mainCollection .cards .card .options .menuOptions .btnMenu {
    display: flex;
    align-items: center;
    padding: 10px;
    gap: 10px;
    border: 1px solid #A3161600;
    border-radius: 4px;
    color: var(--text);
}

.mainCollection .cards .card .options .menuOptions .btnMenu:last-child {
    margin-top: 10px;
}

.mainCollection .cards .card .options .menuOptions .btnMenu:hover {
    border: 1px solid var(--red);
}

/* Carte d'ajout de série */

.mainCollection .cards .cardAdd {
    position: relative;
    top: 0;
    width: 200px;
    height: 300px;
    border-radius: 20px;
    border: 2px dashed var(--darkgrey);
    cursor: pointer;
    transition: .3s;
}

.mainCollection .cards .cardAdd svg {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    color: var(--darkgrey);
    transition: .3s;
}

.mainCollection .cards .cardAdd:hover {
    border-color: var(--red);
}

.mainCollection .cards .cardAdd:hover svg {
    color: var(--red);
    width: 30px;
    height: 30px;
}

/* Modal */

.modal {
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 10000;
}

.modalSerie,
.modalManga,
.modalSerieEdit,
.modalMangaEdit,
.modalSettings,
.modalUserEdit {
    display: none;
}

.titleModal {
    font-size: 3em;
    font-weight: bold;
    background: linear-gradient(to bottom, var(--red), #A3161600);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    text-align: center;
}

.modalSerieEdit .titleModal,
.modalMangaEdit .titleModal {
    font-size: 2em;
}

/* Serie */

.headerSerie {
    padding: 10px 10px 40px 10px;
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 50px;
}

.return {
    margin: 100px 0 0 10px;
    display: inline-block;
    transition: .3s;
}

.return a {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 20px;
    color: var(--text);
    transition: .3s;
}

.return:hover a {
    color: var(--red);
    transition: .3s;
}

.return:hover a svg {
    transform: translateX(-10px);
    transition: .3s;
}

.headerSerie .infosSerie {
    display: flex;
    flex-direction: row;
    align-items: end;
    gap: 50px;
}

.headerSerie .infosSerie .posterSerie {
    width: 300px;
    height: 450px;
    border-radius: 20px;
    object-fit: cover;
    border: 2px solid var(--borderFormm);
}

.headerSerie .infosSerie .informations {
    display: flex;
    flex-direction: column;
    gap: 30px;
}

.headerSerie .infosSerie .informations .titleSerie {
    font-size: 5em;
    font-weight: bold;
    font-style: italic;
}

.headerSerie .infosSerie .informations .progressContainer {
    width: 100%;
    height: 10px;
    background: var(--grey);
    border-radius: 100px;
    overflow: hidden;
}

.headerSerie .infosSerie .informations .progressContainer .progressBar {
    background: linear-gradient(to right, red, orange);
    height: 100%;
    transition: width 0.5s ease-in-out;
}

.mainCollection .filterContainer {
    padding-top: 20px;
}

.mainCollection .filterContainer .filterBtn {
    display: inline-block;
    padding: 8px 15px;
    text-decoration: none;
    color: var(--text);
    border: 1px solid var(--red);
    border-radius: 10px;
    margin-right: 5px;
    background: var(--bgForm);
}

.mainCollection .filterContainer .filterBtn.active {
    background-color: var(--red);
    color: var(--text);
}

/* Historique */

.historyContainer {
    padding: 10px;
}

.historyContainer .emptyState {
    text-align: center;
    margin-top: 50px;
}

.historyContainer .historyDaySection .historyDateHeader {
    background: var(--bgForm);
    border: 1px solid var(--darkgrey);
    padding: 10px;
    border-radius: 20px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 10px;
    flex-wrap: wrap;
}

.historyContainer .historyDaySection .historyDateHeader .dateText {
    font-size: 25px;
}

.historyContainer .historyDaySection .historyGrid {
    display: flex;
    flex-wrap: wrap;
    gap: 20px;
    padding: 30px 0;
}

.historyContainer .historyDaySection .historyGrid .historyCard {
    position: relative;
    top: 0;
    width: 200px;
    height: 300px;
    border-radius: 20px;
    border: 2px solid var(--borderFormm);
    cursor: pointer;
    transition: .3s;
}

.historyContainer .historyDaySection .historyGrid .historyCard img {
    width: 100%;
    height: 100%;
    border-radius: 18px;
    object-fit: cover;
}

.historyContainer .historyDaySection .historyGrid .historyCard .numberMangasInTheSeries {
    position: absolute;
    top: 10px;
    left: 10px;
    border-radius: 10px;
    padding: 6px;
    font-size: 12px;
    font-weight: bold;
    background: var(--red);
    color: var(--text);
    z-index: 1;
}

.historyContainer .historyDaySection .historyGrid .historyCard .titleCard {
    position: absolute;
    left: 10px;
    bottom: 10px;
    z-index: 1;
    font-size: 20px;
    font-weight: bold;
    color: var(--text);
}

.historyContainer .historyDaySection .historyGrid .historyCard .cardFilter {
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 80%;
    border-radius: 18px;
    background: linear-gradient(to top, #000000, #00000000);
    transition: .3s;
}

/* Dashboard */

.sidebar {
    position: fixed;
    top: 0;
    left: 0;
    bottom: 0;
    width: 250px;
    background: #0A0A0ACC;
    backdrop-filter: blur(20px);
    border-right: 1px solid var(--red);
    transition: .3s;
    z-index: 1000;
}

.sidebar ul {
    display: flex;
    flex-direction: column;
    gap: 20px;
    height: 100%;
    margin-top: 90px;
}

.sidebar ul .blockSidebar p {
    padding: 10px 10px 10px 30px;
    color: var(--grey);
}

.sidebar ul .blockSidebar .onglet li {
    display: flex;
    align-items: center;
    gap: 15px;
    border-left: 5px solid transparent;
    padding: 10px 10px 10px 30px;
    cursor: pointer;
    transition: .3s;
}

.sidebar ul .blockSidebar .onglet li:hover {
    color: var(--red);
    border-color: var(--red);
}

.sidebar ul .blockSidebar .onglet li.active {
    color: var(--red);
    border-color: var(--red);
}

.ongletsBlock {
    position: fixed;
    top: 0;
    left: 250px;
    right: 0;
    bottom: 0;
}

.ongletsBlock .block {
    display: none;
    padding: 90px 50px 50px 50px;
    width: 100%;
    height: 100%;
    overflow: auto;
}

.ongletsBlock .block .titleBlock {
    font-size: 2.5em;
    font-weight: bold;
    color: var(--text);
}

.ongletsBlock .block .titleBlock span {
    color: var(--red);
}

.ongletsBlock .block .sousTitle {
    color: var(--grey);
    font-style: italic;
}

/* Dashboard block général */

.ongletsBlock .block .blockStats {
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    gap: 30px;
    margin-top: 40px;
}

.ongletsBlock .block .blockStats .blockStat {
    background: var(--bgForm);
    border: 1px solid var(--red);
    padding: 30px;
    border-radius: 30px;
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.ongletsBlock .block .blockStats .blockStat .statText {
    color: var(--grey);
}

.ongletsBlock .block .blockStats .blockStat .statNumber {
    font-size: 3em;
    font-weight: bold;
    font-style: italic;
}

/* Dashboard block utilisateurs */

.ongletsBlock .block .filterAndSearch {
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    gap: 20px;
    padding-top: 40px;
}

.ongletsBlock .block .filterContainer .filterBtn {
    display: inline-block;
    padding: 8px 15px;
    text-decoration: none;
    color: var(--text);
    border: 1px solid var(--red);
    border-radius: 10px;
    margin-right: 5px;
    background: var(--bgForm);
}

.ongletsBlock .block .filterContainer .filterBtn.active {
    background-color: var(--red);
    color: var(--text);
}

.ongletsBlock .block .filterAndSearch form {
    position: relative;
    display: flex;
    flex-direction: row;
    gap: 0;
    padding: 0;
    border-radius: 10px;
    background: var(--bgForm);
    border: 1px solid var(--red);
    width: 350px;
    height: 38px;
}

.ongletsBlock .block .filterAndSearch .search input {
    width: 100%;
    height: 100%;
    padding: 10px 48px 10px 10px;
    font-size: 16px;
    border-radius: 10px;
    background: none;
    border: none;
    color: var(--text);
}

.ongletsBlock .block .filterAndSearch .search button {
    position: absolute;
    top: -1px;
    right: -1px;
    width: 38px;
    height: 38px;
    border-radius: 10px;
    border: none;
    background: var(--red);
    color: var(--text);
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
    transition: .3s;
}

.ongletsBlock .block .filterAndSearch .search button:hover {
    background: var(--redHover);
}

.ongletsBlock .block .tableContainer {
    border: 1px solid var(--darkgrey);
    border-radius: 20px;
    overflow: hidden;
    overflow-x: auto;
    background: var(--bgForm);
    margin-top: 20px;
}

.ongletsBlock .block .tableContainer .userTable {
    width: 100%;
    border-collapse: collapse;
}

.ongletsBlock .block .tableContainer .userTable thead tr th {
    padding: 20px;
    text-align: left;
    border-bottom: 1px solid var(--darkgrey);
}

.ongletsBlock .block .tableContainer .userTable tbody tr td {
    padding: 20px;
    border-bottom: 1px solid var(--darkgrey);
}

.ongletsBlock .block .tableContainer .userTable tbody tr td .actionBtns {
    display: flex;
    gap: 10px;
}

.ongletsBlock .block .tableContainer .userTable tbody tr td .userCell {
    display: flex;
    align-items: center;
    gap: 10px;
}

.ongletsBlock .block .tableContainer .userTable tbody tr td .userCell img {
    width: 40px;
    height: 40px;
    border-radius: 100%;
}

.ongletsBlock .block .tableContainer .userTable tbody tr td .userCell .userInfo .userName {
    font-style: italic;
    font-size: 20px;
    font-weight: bold;
}

.ongletsBlock .block .tableContainer .userTable tbody tr td .userCell .userInfo .userDate {
    font-size: 12px;
    color: var(--grey);
}

.ongletsBlock .block .tableContainer .userTable tbody tr td .badge {
    padding: 2px 10px;
    display: inline-block;
    border-radius: 20px;
    font-size: 12px;
    font-weight: bold;
}

.ongletsBlock .block .tableContainer .userTable tbody tr td .badge.admin {
    border: 2px solid var(--red);
    background: #a3161652;
}

.ongletsBlock .block .tableContainer .userTable tbody tr td .badge.membre {
    border: 2px solid var(--grey);
    background: #69696952;
}

.ongletsBlock .block .tableContainer .userTable tbody tr td .actionBtn {
    background: var(--red);
    border: none;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 10px;
    padding: 5px;
    color: var(--text);
    cursor: pointer;
    transition: .3s;
}

.ongletsBlock .block .tableContainer .userTable tbody tr td .actionBtn:hover {
    background: var(--redHover);
}

.ongletsBlock .block .tableContainer .pagination {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 20px;
    padding: 20px;
}

.ongletsBlock .block .tableContainer .pagination .pageBtn {
    background: var(--red);
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 10px;
    padding: 5px;
    color: var(--text);
    cursor: pointer;
    transition: .3s;
}

.ongletsBlock .block .tableContainer .pagination .pageBtn:hover {
    background: var(--redHover);
}

.ongletsBlock .block .tableContainer .pagination .pageBtn.disabled {
    opacity: 0.3;
    cursor: not-allowed;
    pointer-events: none;
    filter: grayscale(1);
}

@media (width <=800px) {
    .headerSerie .infosSerie .posterSerie {
        display: none;
    }

    .headerSerie .infosSerie .informations {
        display: flex;
        align-items: center;
        margin: 0 auto;
    }

    .headerSerie .infosSerie .informations .buttonCollection {
        width: 100%;
    }

    .headerSerie .infosSerie .informations .buttonCollection button {
        width: 100%;
    }
}

@media (width <=768px) {
    .headerCollection {
        padding-top: 100px;
    }
}

@media (width <=700px) {
    header nav .navLogo svg {
        display: block;
    }

    .sidebar {
        transform: translateX(-250px);
    }

    .sidebar.active {
        transform: translateX(0px);
    }

    .ongletsBlock {
        left: 0px;
    }

    .ongletsBlock .block {
        padding: 90px 10px 10px 10px;
        height: 100%;
    }

    .ongletsBlock .block .titleBlock {
        font-size: 1.5em;
    }

    .ongletsBlock .block .sousTitle {
        font-size: 12px;
    }

    .ongletsBlock .block .blockStats {
        display: flex;
        flex-direction: column;
        gap: 10px;
    }

    .ongletsBlock .block .blockStats .blockStat {
        width: 100%;
    }
}

@media (width <=577px) {
    .formulaire .titleForm {
        font-size: 3em;
    }

    .homeContent {
        padding: 120px 20px;
        gap: 20px;
    }

    .homeContent .japan {
        letter-spacing: 5px;
        font-size: 14px;
    }

    .homeContent h1 {
        font-size: 2.5em;
        line-height: 1.1;
    }

    .homeContent .text {
        width: 100%;
        font-size: 16px;
        padding: 0 10px;
    }

    .homeContent .button {
        width: 100%;
        max-width: 300px;
        text-align: center;
    }
}

@media (width <=484px) {
    .headerCollection .titleCollection {
        font-size: 2.5em;
    }

    .formulaire {
        width: 100%;
        padding: 10px;
    }

    .form {
        width: 100%;
        max-width: 100%;
    }
}

@media (width <=460px) {
    .headerSerie .infosSerie .informations .titleSerie {
        font-size: 2.5em;
    }

    .headerSerie .infosSerie .informations .stats .stat .statNumber {
        font-size: 2em;
    }

    .headerSerie .infosSerie .informations .stats .stat .statText {
        font-size: 10px;
    }
}

@media (width <=440px) {
    .headerCollection .statsCollection .search {
        width: 100%;
    }

    .mainCollection .cards {
        gap: 15px;
    }

    .historyContainer .historyDaySection .historyGrid {
        gap: 15px;
    }

    .mainCollection .cards>a {
        width: 100%;
    }

    .mainCollection .cards .card-container {
        width: 100%;
    }

    .mainCollection .cards .card {
        width: 100%;
        height: 250px;
    }

    .historyContainer .historyDaySection .historyGrid .historyCard {
        width: 100%;
        height: 250px;
    }

    .mainCollection .cards .card img {
        width: 100%;
        height: 100%;
        object-fit: cover;
        object-position: center;
    }

    .mainCollection .cards .card .titleCard {
        font-size: 24px;
        bottom: 15px;
        left: 15px;
    }

    .historyContainer .historyDaySection .historyGrid .historyCard .titleCard {
        font-size: 24px;
        bottom: 15px;
        left: 15px;
    }

    .mainCollection .cards .card .options .btnOptions {
        display: flex;
    }

    .mainCollection .cards .card:hover {
        top: 0px;
    }

    .mainCollection .cards .cardAdd {
        width: 100%;
        height: 250px;
    }

    .modal {
        width: calc(100% - 20px);
        padding: 20px;
        max-height: 90vh;
        overflow-y: auto;
    }

    .titleModal {
        font-size: 2em;
    }

    .modal .posterInput .posterContent {
        transform: translateX(-50%) scale(0.8);
    }

    header nav ul .dropdown {
        position: fixed;
        top: 70px;
        left: 50%;
        transform: translateX(-50%);
        width: calc(100% - 20px);
        height: auto;
        max-height: 90vh;
        overflow-y: auto;
        padding: 20px;
        gap: 20px;
    }

    header nav ul .dropdown .userInfo {
        flex-direction: column;
        align-items: center;
        gap: 15px;
        text-align: center;
    }

    header nav ul .dropdown .userInfo .userInfos .username {
        font-size: 24px;
    }

    header nav ul .dropdown .infosContent {
        flex-direction: column;
        width: 100%;
    }

    header nav ul .dropdown .infosContent .nbSeries {
        width: 100%;
        padding: 15px;
    }

    header nav ul .dropdown .buttons li a,
    header nav ul .dropdown .buttons li button {
        justify-content: center;
        padding: 15px;
    }
}